#
# Sample configuration file for the Samba suite for Debian GNU/Linux.
#
#
# This is the main Samba configuration file. You should read the
# smb.conf(5) manual page in order to understand the options listed
# here. Samba has a huge number of configurable options most of which 
# are not shown in this example
#
# Some options that are often worth tuning have been included as
# commented-out examples in this file.
#  - When such options are commented with ";", the proposed setting
#    differs from the default Samba behaviour
#  - When commented with "#", the proposed setting is the default
#    behaviour of Samba but the option is considered important
#    enough to be mentioned here
#
# NOTE: Whenever you modify this file you should run the command
# "testparm" to check that you have not made any basic syntactic 
# errors. 

#======================= Global Settings =======================

[global]

## Browsing/Identification ###

# Change this to the workgroup/NT-domain name your Samba server will part of
   workgroup = WORKGROUP
   netbios name = SAMBA
   server string = Samba Server %v

 # Browser Control Options
   os level = 255
   preferred master = yes
   local master = yes
   domain master = yes
   security = user
   passdb backend = tdbsam
   restrict anonymous = 2

   admin users = root davec
   unix extensions = no
   wide links = yes
   follow symlinks = yes

   # WINS Support (if not using an external WINS server)
   wins support = yes

   # Networking Options
   name resolve order = lmhosts host wins bcast

#### Networking ####
   interfaces = 127.0.0.0/8 eno2
   bind interfaces only = yes

#### Debugging/Accounting ####
   log file = /var/log/samba/log.%m
   max log size = 1000
   logging = file
   panic action = /usr/share/samba/panic-action %d

####### Authentication #######
   server role = standalone server
   obey pam restrictions = yes
   pam password change = yes
   unix password sync = yes
   passwd program = /usr/bin/passwd %u
   passwd chat = *Enter\snew\s*\spassword:* %n\n *Retype\snew\s*\spassword:* %n\n *password\supdated\ssuccessfully* .
   add user script = /usr/sbin/useradd -m '%u' -g users -G users
   delete user script = /usr/sbin/userdel -r '%u'
   add group script = /usr/sbin/groupadd '%g'
   delete group script = /usr/sbin/groupdel '%g'
   add user to group script = /usr/sbin/usermod -G '%g' '%u'
   guest account = nobody
   log file = /var/log/samba/samba.log
   max log size = 1000
   dns proxy = no
   socket options = TCP_NODELAY
   panic action = /usr/share/samba/panic-action %d

   recycle:touch = yes
   recycle:keeptree = yes
   recycle:versions = yes
   recycle:exclude_dir = tmp quarantine

   map to guest = Bad User
   dns proxy = no
   ea support = yes
   vfs objects = fruit streams_xattr  
   fruit:metadata = stream
   fruit:model = MacSamba
   fruit:posix_rename = yes 
   fruit:veto_appledouble = no
   fruit:nfs_aces = no
   fruit:wipe_intentionally_left_blank_rfork = yes 
   fruit:delete_empty_adfiles = yes 
   fruit:aapl = yes
   fruit:zero_file_id = yes
   # fruit:locking = none # Disables locks on files for better performance
   pam password change = yes
   map to guest = bad user

########## Domains ###########
   usershare allow guests = no

#======================= Share Definitions =======================


	# COCKPIT ZFS MANAGER
	# WARNING: DO NOT EDIT, AUTO-GENERATED CONFIGURATION
	# include = /etc/cockpit/zfs/shares.conf

# [root]
#     path = /
#     browseable = yes
#     read only = no
#     create mask = 0644
#     directory mask = 0755

[timemachine]
   comment = Time Machine
   path = /tmpool/timemachine
   valid users = davec
   public = no
   browseable = yes
   writable = yes
   printable = no
   spotlight = yes
   # vfs objects = catia fruit streams_xattr zfsacl
   fruit:time machine = yes

[ai]
   path = /beta/ai
   browseable = yes
   create mask = 0644
   directory mask = 0755
   writable = yes

[3cl]
   path = /beta/3cl
   browseable = yes
   create mask = 0644
   directory mask = 0755
   writable = yes

# [itunes]
#    path = /alpha/music
#    valid users = plex davec
#    read only = no
#    force group = plex
#    create mask = 0664
#    directory mask = 0775
#    browseable = yes
#    #vfs objects = zfsacl catia fruit streams_xattr 
#    vfs objects = fruit streams_xattr aio_pthread
     
# [zips]
#    path = /beta/zips
#    browseable = yes
#    read only = no
#    guest ok = yes
#    force user = davec
#    create mask = 0664
#    directory mask = 0775






   
